List all debts
This endpoint lists all debts
Authorizations:
path Parameters
| clientId required | string |
query Parameters
| ActiveStatus | integer <int32> |
| UnderStatus | integer <int32> |
| MainStatus | integer <int32> |
| PaymentStatus | integer <int32> |
| SearchType | integer <int32> |
| Page | integer <int32> |
| RowsPerPage | integer <int32> |
| SearchTerm | string |
Responses
Response samples
- 200
Create a debt
This endpoint will create a debt
Authorizations:
path Parameters
| clientId required | string <uuid> |
Request Body schema:
| isCorporation required | boolean <bool> Set to true if the debtor is a corporation |
| identificationNumber required | string <organization number / personal number> non-empty Organization number if IsCorporation is set to true, otherwise personal number |
| name required | string <string> non-empty Name of debtor |
required | object (Address) |
string or null <contactInformation> Contact information | |
| phone | string or null <email> |
Array of objects or null (CreateDebtModel) |
Responses
Request samples
- Payload
{- "isCorporation": true,
- "identificationNumber": "string",
- "name": "string",
- "address": {
- "address1": "string",
- "address2": "string",
- "careOf": "string",
- "zipCode": "string",
- "city": "string",
- "countryCode": "string"
}, - "email": "string",
- "phone": "user@example.com",
- "debts": [
- {
- "invoiceNumber": "string",
- "description": "string",
- "invoiceDate": "2019-08-24T14:15:22Z",
- "dueDate": "2019-08-24T14:15:22Z",
- "reminderDate": "2019-08-24T14:15:22Z",
- "amount": 0,
- "payments": [
- {
- "amount": 0,
- "transactionDate": "2019-08-24T14:15:22Z",
- "bookedDate": "2019-08-24T14:15:22Z"
}
]
}
]
}Response samples
- 200
- 400
Add payment to a debt
This endpoint will add a payment to a debt
Authorizations:
path Parameters
| clientId required | string <uuid> |
Request Body schema:
| debtId required | integer <int> Payment amount |
| amount required | integer <int> Payment amount |
| transactionDate required | string <date> Transaction date |
| invoiceId required | integer <int> InvoiceId |
Responses
Request samples
- Payload
{- "debtId": 0,
- "amount": 0,
- "transactionDate": "2019-08-24",
- "invoiceId": 0
}Response samples
- 200
- 400
Withdraw a debt
This endpoint will withdraw an existing debt
Authorizations:
path Parameters
| clientId required | string <uuid> |
Request Body schema:
| id required | integer <int32> |
| clientId | string <uuid> |
| comment | string or null |
Responses
Request samples
- Payload
{- "id": 0,
- "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
- "comment": "string"
}Response samples
- 400
Add payment to a debt
This endpoint will add a payment to a debt
Authorizations:
path Parameters
| clientId required | string <uuid> |
Request Body schema:
| debtId required | integer <int> Payment amount |
| amount required | integer <int> Payment amount |
| transactionDate required | string <date> Transaction date |
| invoiceId required | integer <int> InvoiceId |
Responses
Request samples
- Payload
{- "debtId": 0,
- "amount": 0,
- "transactionDate": "2019-08-24",
- "invoiceId": 0
}Response samples
- 200
- 400
List all invoices
This endpoint lists all invoices
Authorizations:
path Parameters
| clientId required | string |
query Parameters
| PaymentStatus | integer <int32> |
| ReceivableMainStatus | integer <int32> |
| ReceivableSubStatus | integer <int32> |
| IsCompleted | boolean |
| ActiveStatus | integer <int32> |
| SearchType | integer <int32> |
| ClientId | integer <int32> |
| Page | integer <int32> |
| RowsPerPage | integer <int32> |
| SearchTerm | string |
Responses
Response samples
- 200
Add an invoice
This endpoint will create a new invoice
Authorizations:
path Parameters
| clientId required | string <uuid> |
Request Body schema:
| invoiceNumber required | string <string> non-empty Unique invoice number |
| invoiceDate required | string <date> Invoice date |
| daysUntilExpiration required | integer <int> Number of days before expiration |
| dueDate required | string <date> Due date |
| interestRate | number or null <decimal> Interest rate |
| totalExcludingVAT required | number <decimal> Total amount excluding VAT |
| totalVATAmount required | number <decimal> Total VAT amount |
| totalAmountIncludingVAT required | number <decimal> Total amount including VAT |
| reminderDate | string or null <date> Reminder date |
| reminderFee | number or null <decimal> Reminder fee |
required | Array of objects (Article) Articles |
Responses
Request samples
- Payload
{- "invoiceNumber": "string",
- "invoiceDate": "2019-08-24",
- "daysUntilExpiration": 0,
- "dueDate": "2019-08-24",
- "interestRate": 0,
- "totalExcludingVAT": 0,
- "totalVATAmount": 0,
- "totalAmountIncludingVAT": 0,
- "reminderDate": "2019-08-24",
- "reminderFee": 0,
- "articles": [
- {
- "name": "string",
- "description": "string",
- "priceExcludingVAT": 0,
- "totalVATAmount": 0,
- "totalAmountIncludingVAT": 0,
- "totalAmountExcludingVAT": 0,
- "quantity": 0,
- "vatPercentage": 0,
- "discount": 0
}
]
}Response samples
- 201
- 400
Withdraw an invoice
This endpoint will withdraw an existing invoice
Authorizations:
path Parameters
| clientId required | string <uuid> |
| id required | string <uuid> |
Request Body schema:
| id required | string <uuid> |
Responses
Request samples
- Payload
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Response samples
- 400